<?php
/**
* Implementation of hook_form().
*/
function family_group_form(&$node) {
  $form['title'] = array(
    '#type' => 'hidden',
    '#default_value' => $node->NAME
  );
  $form['MARR']['MARR_TYPE'] = array(
    '#type' => 'select',
    '#title' => t('Type of Union'),
    '#default_value' => $node->MARR_TYPE,
    '#options' => array(
      'Unmarried' => 'Unmarried',
      'Religious' => 'Religious',
	  ),
  );
  $form['MARR']['MARR_DATE'] = array(
    '#type' => 'textfield',
    '#title' => t('Date of Union'),
    '#description'=>t('Year-Month-Day YYYY-MM-DD'),
    '#default_value' => $node->MARR_DATE,
  );
  $form['MARR']['MARR_PLAC'] = array(
    '#type' => 'textfield',
    '#title' => t('Place of Union'),
    '#default_value' => $node->MARR_PLAC,
  );
  $form['MARR']['DIV_DATE'] = array(
    '#type' => 'textfield',
    '#title' => t('Date of Separation'),
    '#description'=>t('Year-Month-Day YYYY-MM-DD'),
    '#default_value' => $node->DIV_DATE,
  );
  $form['MARR']['DIV_PLAC'] = array(
    '#type' => 'textfield',
    '#title' => t('Place of Separation'),
    '#default_value' => $node->DIV_PLAC,
  );
  $parents=array();
  $indivs=db_query('SELECT nid, title_format FROM {family_individual}');
  while($data = mysql_fetch_array($indivs)){
  $parents[$data['nid']]=$data['title_format'];
  }
  $form['PAR1'] = array(
    '#type' => 'select',
    '#title' => t('Parent 1'),
	'#description'=>t('This is the father if there is children of the unison, or the male individual of the unison'),
    '#default_value' => $node->PAR1,
    '#options'=> array('' => 'Unknown', 'Individuals'=>$parents),
  );
  $form['PAR2'] = array(
    '#type' => 'select',
    '#title' => t('Parent 2'),
	'#description'=>t('This is the mother if their is children on this unison, or the female individual of the unison'),
    '#default_value' => $node->PAR2,
    '#options'=> array('' => 'Unknown', 'Individuals'=>$parents),
  );
  $form['body_filter']['body'] = array(
    '#type' => 'textarea',
    '#title' => t('Biography'),
    '#default_value' => $node->body,
    '#rows' => 20,
    '#required' => FALSE,
    '#weight' => 2
  );
  $form['body_filter']['format'] = filter_form($node->format); //Not sure why this goes here, but all the examples have it...
  return $form;
} // function family_group_form(&$node, &$param)

function family_group_insert($node) {
  $parent1=mysql_fetch_array(db_query("SELECT firstname, lastname FROM {family_individual} WHERE nid='%d'",$node->PAR1));
  $parent2=mysql_fetch_array(db_query("SELECT firstname FROM {family_individual} WHERE nid='%d'",$node->PAR2));
  $node->title_format = ($parent1['firstname']).' and '.($parent2['firstname']).' '.($parent1['lastname']);
  $node->title=$node->title_format;
  db_query("UPDATE {node} SET title='%s' WHERE nid='%d'",$node->title,$node->nid);
  db_query("INSERT INTO {family_group} (nid, title_format, marr_type, marr_date, marr_plac, div_date, div_plac, parent1, parent2) VALUES (%d, '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')", 
  $node->nid, $node->title_format, $node->MARR_TYPE, $node->MARR_DATE, $node->MARR_PLAC, $node->DIV_DATE, $node->DIV_PLAC,$node->PAR1, $node->PAR2);

  }
  function family_group_update($node) {
  $parent1=mysql_fetch_array(db_query("SELECT firstname, lastname FROM {family_individual} WHERE nid='%d'",$node->PAR1));
  $parent2=mysql_fetch_array(db_query("SELECT firstname FROM {family_individual} WHERE nid='%d'",$node->PAR2));
  $node->title_format = ($parent1['firstname']).' and '.($parent2['firstname']).' '.($parent1['lastname']);
  $node->title=$node->title_format;
  db_query("UPDATE {node} SET title='%s' WHERE nid='%d'",$node->title, $node->nid);
  db_query("UPDATE {family_group} SET title_format='%s', marr_type='%s', marr_date='%s', marr_plac='%s', div_date='%s', div_plac='%s', parent1='%s', parent2='%s' WHERE nid='%d'", 
  $node->title_format, $node->MARR_TYPE, $node->MARR_DATE, $node->MARR_PLAC, $node->DIV_DATE, $node->DIV_PLAC,$node->PAR1, $node->PAR2, $node->nid);

  }
function family_group_load($node) {
  $nid = $node->nid;
  $data = db_fetch_array(db_query("SELECT * FROM {family_group} WHERE nid = %d",$nid));
  $parent1=db_fetch_array(db_query("SELECT firstname,lastname FROM {family_individual} WHERE nid=%d",$node->PAR1));
  $parent2=db_fetch_array(db_query("SELECT firstname FROM {family_individual} WHERE nid=%d",$node->PAR2));
  $additions->NAME = $parent1['firstname'].' and '.$parent2['firstname'].' '.$parent1['$lastname'];
  $additions->title_format = $data['title_format'];
  $additions->MARR_TYPE = $data['marr_type'];
  //Marriage data
  $additions->MARR_DATE = $data['marr_date'];
  $additions->MARR_PLAC = $data['marr_plac'];
  //Divorce data
  $additions->DIV_DATE = $data['div_date'];
  $additions->DIV_PLAC = $data['div_plac'];
  //Parents of the group
  $additions->PAR1 = $data['parent1'];
  $additions->PAR2 = $data['parent2'];
  
  return($additions);
}  
  function family_group_view(&$node, $teaser = FALSE, $page = FALSE) {
  $node = node_prepare($node, $teaser);
  $node->content['family_group_view'] = array(
      '#value' => theme($teaser? 'family_group_teaser':'family_group_body', $node),
      '#weight' => -1,
  );

  return $node;
}
function theme_family_group_teaser($node) {
  return family_view_unison($node->nid,$type=0);
}
function theme_family_group_body($node) {
  return family_view_unison($node->nid,$type=1);
}
function family_group_delete(&$node) {
db_query("DELETE FROM {family_group} WHERE nid=%d",$node->nid);
}

function family_view_unison($nid,$type){
$content.= '<p align=center>~THIS NODE VIEW HAS NOT BEEN CREATED~';
return $content;
}